package org.josast.EntrysatDecoder;


import javafx.scene.control.Alert;
import javafx.stage.Window;

/**
 *  Simple helper class to display message to the end user 
 * @author christophe
 *
 */
public class AlertHelper {

		private AlertHelper()
		{
			
		}
	    /**
	     * Display a window in order to display a message 
	     * @param alertType Type of alert
	     * @param owner
	     * @param title title of the windows
	     * @param message message to display
	     */
	    public static void showAlert(Alert.AlertType alertType, Window owner, String title, String message) {
	        Alert alert = new Alert(alertType);
	        alert.setTitle(title);
	        alert.setHeaderText(null);
	        alert.setContentText(message);
	        alert.initOwner(owner);
	        alert.show();
	    }
	}





